/ Miscellaneous

Official Sentry SDK for react native

Official Sentry SDK for react native

Sentry SDK for React Native

This is a beta release

Requirements:

  • react-native >= 0.38 for iOS
  • react-native >= 0.41 for Android
  • sentry-cli >= 1.9.0 (brew install getsentry/tools/sentry-cli)

With this SDK, Sentry is now able to provide mixed stacktraces. This means that if a JavaScript call causes a crash in native code, you will see the last call from JavaScript before the crash. This also means that with the new SDK, native crashes are properly handled on iOS.

Additional device information

When using this library you will get a lot more information about the device surrounding your crashes.

Without native integration
Raven js only

With native integration
Enriched
Additional

Mixed Stacktraces(1)
Mixed Stacktrace

Documentation

https://docs.sentry.io/clients/react-native/

(1)only supported on iOS

GitHub